Subject: bug#32599: 25.2; Feature request: input PUA characters by name

From: [email-masked] (Janusz S. Bień)
Date: Mon, 27 May 2019 19:39:50 +0200

On Mon, May 27 2019 at 20:11 +03, Eli Zaretskii wrote:
>> From: [email-masked] (Janusz S. Bień)
>> Cc: [email-masked]
>> Date: Mon, 27 May 2019 07:48:38 +0200
>> 
>> On Sun, May 26 2019 at 21:52 +03, Eli Zaretskii wrote:
>> 
>> [...]
>> 
>> > Personally, I'm surprised people use PUA for
>> > these purposes,
>> 
>> Which purposes?
>
> The purposes of mainstream text editing.  Are there other comparable
> applications that let users define fonts for PUA codepoints, define
> their attributes, and then manipulate those characters as any other?

I don't know and don't care, as I use only Emacs for editing.

>> > and even more surprised they expect Emacs to support
>> > this.  But that's me.
>> 
>> PUA characters, especially MUFI, are needed to typeset some
>> texts. (XeLa)TeX is still a very good typesetting system and Emacs-based
>> AUCTeX is still a very good tool to use TeX.
>
> Those are separate projects.  If they need to use non-standard
> characters with corresponding non-standard fonts, they could maintain
> some add-on packages for Emacs to do that.

Thanks for the suggestion. I will contact AUCTeX people and see what thay
think about it.

>
> Asking Emacs to maintain compatibility to various ad-hoc registries
> outside of Unicode is not really reasonable.

Yes, but it is not what I propose. I just would the user to be able to
use his own definition of PUA provided in the form of an additional
UnicodeData.txt (not necessarily as a part of Unicode, it can be perhaps
a different coding system).

[...]

> I guess what I'm saying is that without a dedicated volunteer who
> would take care of this issue we can only wish such support will be
> added, but we have no real hope it will materialize, except by some
> enormous luck.

As I said, we have different things in mind, so I'm not sure the above
statement really applies to my proposal.

> Of course, if you know someone who could be persuaded to come on board
> and work on this now and in the future, I think the feature will be
> welcome.

I don't know such a person now, but this can of course change in the
future.

Best regards

Janusz

-- 
             ,   
Janusz S. Bien
emeryt (emeritus)
https://sites.google.com/view/jsbien